Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDM 3.4 gets blocked?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
alain-
n00b
n00b


Joined: 24 Nov 2004
Posts: 25

PostPosted: Sat Mar 19, 2005 10:10 am    Post subject: KDM 3.4 gets blocked? Reply with quote

Hi all,
i updated kde to 3.4 this weekend and everything worked fine until i made a emerge --depclean, that removed my kdm. Reemerging kdm resulted in a few warnings with Keywords, which i all added to the packake.keyword-file. Now i have this output:
Code:
# emerge -pv kdm

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kcminit-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/ksplashml-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/ksmserver-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-data-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kreadconfig-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/libkonq-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdesktop-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kcheckpass-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kwin-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kpersonalizer-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kcontrol-3.4.0)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdm-3.4.0)
[ebuild  N    ] kde-base/kcminit-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +xinerama 0 kB
[ebuild  N    ] kde-base/ksplashml-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +xinerama 0 kB
[ebuild  N    ] kde-base/ksmserver-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +xinerama 0 kB
[ebuild  N    ] kde-base/kreadconfig-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +xinerama 0 kB
[ebuild  N    ] kde-base/libkonq-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +xinerama 0 kB
[ebuild  N    ] kde-base/kcheckpass-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +pam +xinerama 0 kB
[ebuild  N    ] kde-base/kdesktop-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +xinerama 0 kB
[ebuild  N    ] kde-base/kwin-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +xinerama 0 kB
[ebuild  N    ] kde-base/kpersonalizer-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +xinerama 0 kB
[ebuild  N    ] kde-base/kdebase-data-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +xinerama 0 kB
[ebuild  N    ] dev-libs/libusb-0.1.8  -debug -doc 313 kB
[ebuild  N    ] kde-base/kcontrol-3.4.0  +arts -debug -ieee1394 +java -kdeenablefinal -kdexdeltas +opengl +ssl +xinerama 0 kB
[ebuild  N    ] kde-base/kdm-3.4.0  +arts -debug +java -kdeenablefinal -kdexdeltas +pam +xinerama 0 kB

Total size of downloads: 313 kB
#
Could you provide me a hint? Kde 3.4 still works. i can start ist via e.g. fluxbox.

Thanks, Alain.
Back to top
View user's profile Send private message
martoni
Apprentice
Apprentice


Joined: 16 Jan 2004
Posts: 244
Location: Tyresö, Sweden

PostPosted: Sat Mar 19, 2005 11:00 am    Post subject: Reply with quote

Your are probably mixing monolithic and meta parts of KDE.
You can't do that. (Well, you can - but your system complains...)
Back to top
View user's profile Send private message
alain-
n00b
n00b


Joined: 24 Nov 2004
Posts: 25

PostPosted: Sat Mar 19, 2005 11:05 am    Post subject: Reply with quote

Thanks for your reply. How can i prevent that? I could not find a clean howto on switching kde versions.
Back to top
View user's profile Send private message
martoni
Apprentice
Apprentice


Joined: 16 Jan 2004
Posts: 244
Location: Tyresö, Sweden

PostPosted: Sat Mar 19, 2005 11:21 am    Post subject: Reply with quote

I don't want to suggest anything yet.
As I'm in the middle of KDE upgrade hell atm :cry: and might fobar other systems with stupid advice.

The error KDE 3.4* blocking updates is, however often suggested to be the result of mixing monolithic with atomic KDE parts. Of that I (think) I now.

Hopefully other will help you on that soonish.
You might want to search the Desktop forum though - there has been lots of posts on your error message there.
Back to top
View user's profile Send private message
John-Boy
Guru
Guru


Joined: 23 Jun 2004
Posts: 442
Location: Desperately seeking moksha in all the wrong places

PostPosted: Mon Mar 21, 2005 6:22 pm    Post subject: Reply with quote

alain- wrote:
Thanks for your reply. How can i prevent that? I could not find a clean howto on switching kde versions.


I've just got rid of some blocks, turns out I had older versions of kdewebdev, there's a command at :

https://forums.gentoo.org/viewtopic-t-311007-highlight-depclean+kde.html

It's :

Code:
emerge -Cp `ls -1d /var/db/pkg/kde-base/kde*-3.3* | sed -e 's/\/var\/db\/pkg\///'`


(posted by plate) - That showed that I had a few of the older builds left. Got rid of 'em and no blocks. Edit - should add that will only help if you've got old versions hanging about, but if may be worth a shot just to see.
Back to top
View user's profile Send private message
alkan
Guru
Guru


Joined: 06 Aug 2004
Posts: 385
Location: kasimlar yaylasi

PostPosted: Mon Mar 21, 2005 6:42 pm    Post subject: Reply with quote

remove the monolitic packages form /etc/portage/package.keywords.
For example if you have both kdebase and kdebase-meta in the list, remove kdebase. That's what fixed my kde-3.4 blocks.
Back to top
View user's profile Send private message
tomk
Bodhisattva
Bodhisattva


Joined: 23 Sep 2003
Posts: 7221
Location: Sat in front of my computer

PostPosted: Mon Sep 26, 2005 3:01 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads, please see this topic.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum